This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981460 - libvirt does not check for existing snapshots while deleting disk image
libvirt does not check for existing snapshots while deleting disk image
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 15:20 EDT by Gerasimos Melissaratos
Modified: 2016-04-09 19:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-09 19:59:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerasimos Melissaratos 2013-07-04 15:20:03 EDT
Description of problem:
Snapshot's supporting disk image may be deleted through libvirt with no warning.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Create a disk image, set up any operating system.
2. Make a snapshot of this image and boot from the snapshot.
3. Delete the suporting image through virt-manager, and be left hanging.

Actual results:
The snapshot's supporting image is deleted, no questions asked

Expected results:
Some warning, maybe a complete denial to delete image while snapshot exists.

Additional info:
Comment 1 Cole Robinson 2016-04-09 19:59:03 EDT
Sorry this didn't receive a timely response. Deleting disks through virt-manager uses libvirt's storage APIs which I don't think will grow any awareness about if they contain snapshots, or say if a VM is even using the disk, similar to how 'rm' isn't going to tell you what depends on the file. This could be something instead that virt-manager warns about, please file a bug against virt-manager if you're still interested

Note You need to log in before you can comment on or make changes to this bug.